## À explorer

- Générer des bindings RUST depuis des .h : https://jvns.ca/blog/2017/12/21/bindgen-is-awesome/

## Setup

- Installer le [package FSV](https://industriels.sesam-vitale.fr/group/fournitures-sesam-vitale)
    - Linux : ajouter le path des librairies FSV à la variable d'environnement `LD_LIBRARY_PATH` avant execution
    - Windows : ajouter le path des librairies FSV à la variable d'environnement `PATH` avant execution

- Installer la [CryptolibCPS](https://industriels.sesam-vitale.fr/group/galss-cryptolib-cps)
    - Fourni l'utilitaire "CPS Gestion" pour obtenir des informations sur le lecteur de carte, etc.
        - Linux : `cpgeslux`

- Créer un fichier `.env` en s'inspirant d'un des fichiers d'exemple (`.env.linux.example`, `.env.win.example`...)

## C Compilation

Pour compiler les fichiers de librairie :

- Windows : `.\build.bat`
- Linux : `make`

Pour nettoyer le dossier `./lib` :

- Windows : `.\build.bat /clean`
- Linux : `make clean`